Skip to main content
POST
/
networks
/
offers
Create Offer
curl --request POST \
  --url https://api.eflow.team/v1/networks/offers \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_advertiser_id": 1,
  "name": "My New Offer",
  "destination_url": "https://example.com/landing?tid={transaction_id}",
  "currency_id": "USD",
  "offer_status": "active",
  "visibility": "public",
  "conversion_method": "server_postback",
  "payout_revenue": [
    {
      "entry_name": "Base",
      "payout_type": "cpa",
      "payout_amount": 5,
      "revenue_type": "rpa",
      "revenue_amount": 8,
      "is_default": true
    }
  ]
}
'
{
  "network_offer_id": 123,
  "network_id": 123,
  "network_advertiser_id": 123,
  "network_offer_group_id": 123,
  "name": "<string>",
  "offer_status": "active",
  "thumbnail_url": "<string>",
  "visibility": "public",
  "currency_id": "<string>",
  "destination_url": "<string>",
  "server_side_url": "<string>",
  "preview_url": "<string>",
  "html_description": "<string>",
  "internal_notes": "<string>",
  "network_category_id": 123,
  "project_id": "<string>",
  "date_live_until": "<string>",
  "conversion_method": "server_postback",
  "redirect_mode": "standard",
  "session_definition": "cookie",
  "session_duration": 123,
  "attribution_method": "first_touch",
  "is_caps_enabled": true,
  "daily_conversion_cap": 123,
  "weekly_conversion_cap": 123,
  "monthly_conversion_cap": 123,
  "global_conversion_cap": 123,
  "daily_payout_cap": 123,
  "weekly_payout_cap": 123,
  "monthly_payout_cap": 123,
  "global_payout_cap": 123,
  "daily_revenue_cap": 123,
  "weekly_revenue_cap": 123,
  "monthly_revenue_cap": 123,
  "global_revenue_cap": 123,
  "daily_click_cap": 123,
  "weekly_click_cap": 123,
  "monthly_click_cap": 123,
  "global_click_cap": 123,
  "is_use_scrub_rate": true,
  "scrub_rate_percentage": 123,
  "is_duplicate_filter_enabled": true,
  "is_block_already_converted": true,
  "is_use_secure_link": true,
  "is_allow_deep_link": true,
  "is_session_tracking_enabled": true,
  "is_whitelist_check_enabled": true,
  "network_tracking_domain_id": 123,
  "caps_timezone_id": 123,
  "app_identifier": "<string>",
  "labels": [
    "<string>"
  ],
  "is_seo_friendly": true,
  "is_use_direct_linking": true,
  "is_view_through_enabled": true,
  "view_through_destination_url": "<string>",
  "session_tracking_lifespan_hour": 123,
  "session_tracking_minimum_lifespan_second": 123,
  "is_fail_traffic_enabled": true,
  "is_using_explicit_terms_and_conditions": true,
  "terms_and_conditions": "<string>",
  "is_force_terms_and_conditions": true,
  "is_must_approve_conversion": true,
  "is_allow_duplicate_conversion": true,
  "duplicate_filter_targeting_action": "block",
  "already_converted_action": "block",
  "scrub_rate_status": "rejected",
  "payout_revenue": [
    {
      "entry_name": "<string>",
      "payout_type": "cpa",
      "payout_amount": 123,
      "payout_percentage": 123,
      "revenue_type": "rpa",
      "revenue_amount": 123,
      "revenue_percentage": 123,
      "is_default": true,
      "is_private": true,
      "is_postback_disabled": true,
      "is_enforce_caps": true,
      "is_must_approve_conversion": true,
      "is_allow_duplicate_conversion": true
    }
  ],
  "time_created": 123,
  "time_saved": 123,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Body

application/json
network_advertiser_id
integer
required

Advertiser that owns this offer.

name
string
required

Offer name.

destination_url
string
required

Destination URL for the offer.

currency_id
string
required

Currency used for this offer.

network_offer_group_id
integer

Associated offer group.

thumbnail_url
string

Offer thumbnail URL.

network_category_id
integer

Category ID.

internal_notes
string

Staff-only notes.

server_side_url
string

Async server-side URL.

preview_url
string

Landing page preview URL.

html_description
string

Affiliate-facing HTML description.

offer_status
enum<string>

Offer status.

Available options:
active,
paused,
pending
visibility
enum<string>

Affiliate visibility.

Available options:
public,
require_approval,
private
project_id
string

Campaign/IO identifier.

date_live_until
string

Expiration date (YYYY-MM-DD).

app_identifier
string

Bundle ID for mobile apps.

labels
string[]
caps_timezone_id
integer
network_tracking_domain_id
integer
conversion_method
enum<string>

How conversions are tracked.

Available options:
server_postback,
http_image_pixel,
https_image_pixel,
http_iframe_pixel,
https_iframe_pixel,
javascript,
cookie_based
redirect_mode
enum<string>
Available options:
standard,
single_meta_refresh,
double_meta_refresh
session_definition
enum<string>
Available options:
cookie,
ip,
ip_user_agent,
google_ad_id,
idfa
session_duration
integer

Session duration in hours (default 24).

attribution_method
enum<string>
Available options:
first_touch,
last_touch
is_seo_friendly
boolean
is_whitelist_check_enabled
boolean
is_use_direct_linking
boolean
is_caps_enabled
boolean
daily_conversion_cap
integer
weekly_conversion_cap
integer
monthly_conversion_cap
integer
global_conversion_cap
integer
daily_payout_cap
integer
weekly_payout_cap
integer
monthly_payout_cap
integer
global_payout_cap
integer
daily_revenue_cap
integer
weekly_revenue_cap
integer
monthly_revenue_cap
integer
global_revenue_cap
integer
daily_click_cap
integer
weekly_click_cap
integer
monthly_click_cap
integer
global_click_cap
integer
is_duplicate_filter_enabled
boolean
duplicate_filter_targeting_action
enum<string>
Available options:
block,
fail_traffic
is_block_already_converted
boolean
already_converted_action
enum<string>
Available options:
block,
fail_traffic
is_must_approve_conversion
boolean
is_allow_duplicate_conversion
boolean
is_use_scrub_rate
boolean
scrub_rate_status
enum<string>
Available options:
rejected,
pending
scrub_rate_percentage
integer
is_view_through_enabled
boolean
view_through_destination_url
string
is_session_tracking_enabled
boolean
session_tracking_lifespan_hour
integer
session_tracking_minimum_lifespan_second
integer
is_fail_traffic_enabled
boolean
is_using_explicit_terms_and_conditions
boolean
terms_and_conditions
string
is_force_terms_and_conditions
boolean
payout_revenue
object[]

Response

200 - application/json

OK

network_offer_id
integer

Unique offer ID.

network_id
integer
network_advertiser_id
integer

Advertiser that owns this offer.

network_offer_group_id
integer

Offer group ID.

name
string

Offer name.

offer_status
enum<string>
Available options:
active,
paused,
pending,
deleted
thumbnail_url
string
visibility
enum<string>
Available options:
public,
require_approval,
private
currency_id
string
destination_url
string

Destination URL for the offer.

server_side_url
string

Server-side postback URL.

preview_url
string
html_description
string

HTML description of the offer.

internal_notes
string

Internal notes (not visible to affiliates).

network_category_id
integer
project_id
string
date_live_until
string

Offer expiration date (YYYY-MM-DD).

conversion_method
enum<string>
Available options:
server_postback,
http_image_pixel,
https_image_pixel,
http_iframe_pixel,
https_iframe_pixel,
javascript,
cookie_based
redirect_mode
enum<string>
Available options:
standard,
single_meta_refresh,
double_meta_refresh
session_definition
enum<string>
Available options:
cookie,
ip,
ip_user_agent,
google_ad_id,
idfa
session_duration
integer

Session duration in hours.

attribution_method
enum<string>
Available options:
first_touch,
last_touch
is_caps_enabled
boolean
daily_conversion_cap
integer
weekly_conversion_cap
integer
monthly_conversion_cap
integer
global_conversion_cap
integer
daily_payout_cap
integer
weekly_payout_cap
integer
monthly_payout_cap
integer
global_payout_cap
integer
daily_revenue_cap
integer
weekly_revenue_cap
integer
monthly_revenue_cap
integer
global_revenue_cap
integer
daily_click_cap
integer
weekly_click_cap
integer
monthly_click_cap
integer
global_click_cap
integer
is_use_scrub_rate
boolean
scrub_rate_percentage
integer
is_duplicate_filter_enabled
boolean
is_block_already_converted
boolean
is_session_tracking_enabled
boolean
is_whitelist_check_enabled
boolean
network_tracking_domain_id
integer
caps_timezone_id
integer
app_identifier
string
labels
string[]
is_seo_friendly
boolean
is_use_direct_linking
boolean
is_view_through_enabled
boolean
view_through_destination_url
string
session_tracking_lifespan_hour
integer
session_tracking_minimum_lifespan_second
integer
is_fail_traffic_enabled
boolean
is_using_explicit_terms_and_conditions
boolean
terms_and_conditions
string
is_force_terms_and_conditions
boolean
is_must_approve_conversion
boolean
is_allow_duplicate_conversion
boolean
duplicate_filter_targeting_action
enum<string>
Available options:
block,
fail_traffic
already_converted_action
enum<string>
Available options:
block,
fail_traffic
scrub_rate_status
enum<string>
Available options:
rejected,
pending
payout_revenue
object[]
time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

relationship
object

Related data (only present when requested via query parameter).